GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "22cdd8af-6b3e-423f-8412-009c082d67b0",
  "selected_sticker_id": "4d50f7ea-3235-4cbf-90eb-42f30fdfdaf9",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "705f02fc-9b29-4f51-96b5-c695278851af",
      "site_id": "4f4dd48a-b8f4-43f5-bcf6-f1b3069792d0"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "705f02fc-9b29-4f51-96b5-c695278851af",
      "site_id": "4f4dd48a-b8f4-43f5-bcf6-f1b3069792d0"
    }
  ],
  "active": true,
  "certificate_type_id": "d72b4b1f-b23e-43a5-9dd5-fd336f1c2b33",
  "code": 1,
  "delay_between_scans": 1,
  "id": "aec34d23-e78b-4a10-93af-06868695296a",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "9ac55ff6-dcf6-4700-b8db-7d8ec4c99d75",
  "packing_type_id": "2f6e9ec2-6035-4162-a742-df2e68dcc1b8",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "4bd16e38-a3eb-4b8f-9910-d83e8d0b565b",
  "remark": "sample string 14",
  "site_customer_id": "c3c4fb1c-c418-4cf7-a33e-256ca376fd32",
  "sorting_type_id": "8e7760f8-a9d3-47fd-8439-99e95556fa61",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>d72b4b1f-b23e-43a5-9dd5-fd336f1c2b33</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>aec34d23-e78b-4a10-93af-06868695296a</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>9ac55ff6-dcf6-4700-b8db-7d8ec4c99d75</packaging_type_id>
  <packing_type_id>2f6e9ec2-6035-4162-a742-df2e68dcc1b8</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>4bd16e38-a3eb-4b8f-9910-d83e8d0b565b</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>c3c4fb1c-c418-4cf7-a33e-256ca376fd32</site_customer_id>
  <sorting_type_id>8e7760f8-a9d3-47fd-8439-99e95556fa61</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>22cdd8af-6b3e-423f-8412-009c082d67b0</selected_nameplate_id>
  <selected_sticker_id>4d50f7ea-3235-4cbf-90eb-42f30fdfdaf9</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>705f02fc-9b29-4f51-96b5-c695278851af</id>
      <site_id>4f4dd48a-b8f4-43f5-bcf6-f1b3069792d0</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>705f02fc-9b29-4f51-96b5-c695278851af</id>
      <site_id>4f4dd48a-b8f4-43f5-bcf6-f1b3069792d0</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>